jmacro-0.6.18: QuasiQuotation library for programmatic generation of Javascript code.

Copyright | (c) Gershom Bazerman Jeff Polakow 2010
License | BSD 3 Clause
Maintainer | gershomb@gmail.com
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Language.Javascript.JMacro.Prelude

Description

Synopsis

- jmPrelude :: JStat

# Documentation

jmPrelude :: JStat Source #

This provides a set of basic functional programming primitives, a few utility functions and, more importantly, a decent sample of idiomatic jmacro code. View the source for details.